Bug 97093 - mysql upgrade package leaves mysql stopped after upgrade
mysql upgrade package leaves mysql stopped after upgrade
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-10 06:45 EDT by Toni Willberg
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-23 07:01:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toni Willberg 2003-06-10 06:45:08 EDT
mysql-server-3.23.56-1.73


Upgrading the mysql-server package stops the server, upgrades the package but
fails to start the server again. No error is displayed during upgrade process:

$tail -f /var/log/messages &
$rpm -Uvh mysql-server.. mysql-devel.. mysql..

..
7:mysql-server   ########################################### [ 41%]
==> /var/log/messages <==
Jun 10 13:37:39 innostunutsonni mysqld: Stopping MySQL:  succeeded
Jun 10 13:37:40 innostunutsonni mysqld: Starting MySQL:  succeeded
8:mysql-devel    ########################################### [ 47%]
9:mysql          ########################################### [ 52%]
..

$service mysqld status
mysqld dead but subsys locked

$service mysqld stop
Stopping MySQL:                                            [FAILED]

$service mysqld start
Starting MySQL:                                            [  OK  ]

$service mysqld status
mysqld (pid 19379 19378 19377 19375) is running...


How reproducible:
Always
Comment 1 Patrick Macdonald 2003-06-10 12:25:37 EDT
This works fine for me.  Also, your /var/log/messages states that the mysqld
service was stopped at 13:37:39 and started at 13:37:40 (which is part of the 
mysql-server package upgrade).

Where there client connections to mysqld at the time of upgrade?

Anyway, here's the output of my logged testing run:

.live.[root@i386-73 mysql]# service mysqld start
Starting MySQL:                                            [  OK  ]

.live.[root@i386-73 mysql]# mysql
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 1 to server version: 3.23.54

Type 'help;' or '\h' for help. Type '\c' to clear the buffer.

mysql> \s
--------------
mysql  Ver 11.18 Distrib 3.23.54, for pc-linux (i686)

  [snipped output]

.live.[root@i386-73 i386]# rpm -Fvh mysql-3.23.56-1.73.i386.rpm mysql-server-3.2
3.56-1.73.i386.rpm mysql-devel-3.23.56-1.73.i386.rpm
Preparing...                ########################################### [100%]
   1:mysql                  ########################################### [ 33%]
   2:mysql-server           ########################################### [ 66%]
   3:mysql-devel            ########################################### [100%]

.live.[root@i386-73 i386]# mysql
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 1 to server version: 3.23.56

Type 'help;' or '\h' for help. Type '\c' to clear the buffer.

mysql> \s
--------------
mysql  Ver 11.18 Distrib 3.23.56, for pc-linux (i686)

Comment 2 Toni Willberg 2003-07-23 07:01:26 EDT
It seems to work now for me too. Let's reopen this if it happens again later.

Note You need to log in before you can comment on or make changes to this bug.